package com.logicbig.example;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.util.Arrays;

@Entity
public class ExampleEntity {
    @Id
    private int id;
    private MySerializableObject mySerializableObject;
    private MySerializableObject[] mySerializableObjects;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public MySerializableObject getMySerializableObject() {
        return mySerializableObject;
    }

    public void setMySerializableObject(MySerializableObject mySerializableObject) {
        this.mySerializableObject = mySerializableObject;
    }

    public MySerializableObject[] getMySerializableObjects() {
        return mySerializableObjects;
    }

    public void setMySerializableObjects(MySerializableObject[] mySerializableObjects) {
        this.mySerializableObjects = mySerializableObjects;
    }

    @Override
    public String toString() {
        return "ExampleEntity{" +
                "id=" + id +
                ", mySerializableObject=" + mySerializableObject +
                ", mySerializableObjects=" + Arrays.toString(mySerializableObjects) +
                '}';
    }
}